water0320
water0320
2021-06-17 23:49
采纳率: 100%
浏览 62

安装truffle时出现一堆报错,node下载的官网最新版。

代码:

circumstances, which is known to be problematic.  See https://v8.dev/blog/math-random for details.
npm WARN deprecated mkdirp-promise@5.0.1: This package is broken and no longer maintained. 'mkdirp' itself supports promises now, please switch to that.
npm WARN deprecated request@2.88.2: request has been deprecated, see https://github.com/request/request/issues/3142
npm WARN deprecated har-validator@5.1.5: this library is no longer supported
npm WARN deprecated uuid@3.4.0: Please upgrade  to version 7 or higher.  Older versions may use Math.random() in certain circumstances, which is known to be problematic.  See https://v8.dev/blog/math-random for details.
npm WARN deprecated uuid@3.3.2: Please upgrade  to version 7 or higher.  Older versions may use Math.random() in certain circumstances, which is known to be problematic.  See https://v8.dev/blog/math-random for details.
npm WARN deprecated ethereumjs-tx@2.1.2: New package name format for new versions: @ethereumjs/tx. Please update.
npm WARN deprecated ethereumjs-common@1.5.2: New package name format for new versions: @ethereumjs/common. Please update.
npm WARN deprecated multicodec@0.5.7: stable api reached
npm WARN deprecated urix@0.1.0: Please see https://github.com/lydell/urix#deprecated
npm WARN deprecated resolve-url@0.2.1: https://github.com/lydell/resolve-url#deprecated
[..................] / fetchMetadata: sill resolveWithNewModule at-least-node@1.0.0 checking installable status

正在安装中,还未安装完成,请问是怎么回事

用的是npm -g install truffle进行安装

目前安装速度极慢,之前用cnpm安装也会报错,没想到换回npm也是一样的

解决了必采纳

--------------------------------------------------------------------------------

解决了,完全卸载node及npm,彻底删除文件,参见:https://www.cnblogs.com/fighxp/p/7410235.html

重启后重新安装node

命令行输入npm -g install npm@latest更新npm到最新7开头的版本

  • 点赞
  • 收藏

3条回答 默认 最新

  • water0320
    water0320 2021-06-18 00:00

    用的是npm -g install truffle进行安装

     

     

    点赞 评论
  • bm1998
    bm1998 2021-06-18 00:09

    把npm升级到最新:$ npm install -g npm,再试一试

    点赞 评论
  • water0320
    water0320 2021-06-18 00:15

    更新失败了吗,版本怎么没升上去

    点赞 评论

相关推荐